<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="wrap_content">

    <com.lihang.ShadowLayout
        android:id="@+id/playing_status_layout"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_marginStart="12dp"
        android:layout_marginEnd="12dp"
        android:visibility="visible"
        app:hl_cornerRadius="36dp"
        app:hl_layoutBackground="#FF80F988"
        app:hl_shadowColor="#40040604"
        app:hl_shadowOffsetX="0dp"
        app:hl_shadowOffsetY="4dp">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="68dp"
            android:layout_alignParentBottom="true"
            android:gravity="center_vertical"
            android:paddingStart="20dp"
            android:paddingEnd="20dp">

            <LinearLayout
                android:id="@+id/goDetailsBtn"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                android:gravity="center_vertical"
                android:orientation="horizontal">

                <RelativeLayout
                    android:layout_width="wrap_content"
                    android:layout_height="wrap_content">

                    <androidx.cardview.widget.CardView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_centerInParent="true"
                        android:elevation="0dp"
                        app:cardCornerRadius="24dp"
                        app:cardElevation="0dp">

                        <ImageView
                            android:id="@+id/audio_img"
                            android:layout_width="48dp"
                            android:layout_height="48dp"
                            android:scaleType="centerCrop"
                            android:src="@mipmap/app_logo" />

                    </androidx.cardview.widget.CardView>

                    <melody.offline.music.view.CircularProgressBar
                        android:id="@+id/progressBar"
                        android:layout_width="54dp"
                        android:layout_height="54dp"
                        android:layout_centerInParent="true" />
                </RelativeLayout>

                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_height="match_parent"
                    android:layout_marginStart="12dp"
                    android:layout_marginEnd="12dp"
                    android:layout_weight="1"
                    android:gravity="center_vertical"
                    android:orientation="vertical">

                    <melody.offline.music.view.MarqueeTextView
                        android:id="@+id/name"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:ellipsize="marquee"
                        android:fontFamily="@font/medium_font"
                        android:maxLines="1"
                        android:text="@string/app_name"
                        android:textColor="@color/black"
                        android:textSize="16dp" />

                    <melody.offline.music.view.MarqueeTextView
                        android:id="@+id/desc"
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:maxLines="1"
                        android:text="@string/app_name"
                        android:textColor="@color/black_60"
                        android:textSize="12dp" />

                </LinearLayout>
            </LinearLayout>

            <LinearLayout
                android:id="@+id/play_black_btn"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:gravity="center">

                <ImageView
                    android:id="@+id/play_status_img"
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:src="@drawable/play_black_icon" />

            </LinearLayout>

            <LinearLayout
                android:id="@+id/play_skip_forward_btn"
                android:layout_width="42dp"
                android:layout_height="42dp"
                android:gravity="center">

                <ImageView
                    android:id="@+id/play_skip_forward_img"
                    android:layout_width="34dp"
                    android:layout_height="34dp"
                    android:src="@drawable/play_skip_forward_black_icon" />

            </LinearLayout>

        </LinearLayout>

    </com.lihang.ShadowLayout>

</LinearLayout>